Bug 164917 - yum's rpm-python dependency needs a version
yum's rpm-python dependency needs a version
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
All Linux
medium Severity low
: ---
: ---
Assigned To: Jeremy Katz
Depends On:
  Show dependency treegraph
Reported: 2005-08-02 13:41 EDT by Has Cat
Modified: 2014-01-21 17:52 EST (History)
1 user (show)

See Also:
Fixed In Version: fc4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-09-21 15:30:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Has Cat 2005-08-02 13:41:18 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.8) Gecko/20050511 Internet Explorer/1.0.4

Description of problem:
Updating yum from fc3 to fc4 doesn't check for an updated version of rpm-python. Yum does require an update of python to 2.4, so rpm-python (based on python 2.3) doesn't work anymore. 

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. use yum to update yum

Actual Results:  yum stopped working because rpm-python is outdated

Expected Results:  yum should have provided a dependency on a newer version of rpm-python, so it would be included in the update.

Additional info:
Comment 1 Jeremy Katz 2005-09-21 15:30:18 EDT
This actually is fixed with FC4 as we've introduced the python-abi autodeps

Note You need to log in before you can comment on or make changes to this bug.